This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 230322 - FX Samples do not run with default platform after the removal of FX-enabled platform support
Summary: FX Samples do not run with default platform after the removal of FX-enabled p...
Status: VERIFIED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Project (show other bugs)
Version: 7.4
Hardware: PC Windows 7
: P2 normal (vote)
Assignee: Petr Somol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 12:53 UTC by Petr Somol
Modified: 2015-10-26 18:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2013-05-27 12:53:38 UTC
In current 7.4 daily build with clean userdir create a FX sample and try Run. The following appears

ant -f C:\\Users\\psomol\\AppData\\Local\\Temp\\FXML-LoginDemo jfxsa-run
C:\Users\psomol\AppData\Local\Temp\FXML-LoginDemo\nbproject\build-impl.xml:87: The J2SE Platform is not correctly set up.
 Your active platform is: default_platform, but the corresponding property "platforms.default_platform.home" is not found in the project's properties files. 
 Either open the project in the IDE and setup the Platform with the same name or add it manually.
 For example like this:
     ant -Duser.properties.file=<path_to_property_file> jar (where you put the property "platforms.default_platform.home" in a .properties file)
  or ant -Dplatforms.default_platform.home=<path_to_JDK_home> jar (where no properties file is used)
BUILD FAILED (total time: 0 seconds)
Comment 1 Petr Somol 2013-05-28 16:56:40 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/d3c56a62314b
Comment 2 Quality Engineering 2013-05-30 01:37:55 UTC
Integrated into 'main-golden', will be available in build *201305292301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d3c56a62314b
User: Petr Somol <psomol@netbeans.org>
Log: #230322 - FX Samples do not run with default platform after the removal of FX-enabled platform support